Loading...
Searching...
No Matches
mqtt::unsubscribe_response Class Reference

`#include <server_response.h>`

Inheritance diagram for mqtt::unsubscribe_response:

## Public Member Functions

const std::vector< ReasonCode > & | get_reason_codes () const
Public Member Functions inherited from mqtt::server_response
| server_response ()
| server_response (const properties &props)
| server_response (properties &&props)
virtual | ~server_response ()
const properties & | get_properties () const noexcept

## Friends

class | token

## Detailed Description

Response for unsubscribe messages.

## Member Function Documentation

## get_reason_codes()

const std::vector< ReasonCode > & mqtt::unsubscribe_response::get_reason_codes | ( |  | ) | const

inline

Gets the reason codes from the server response. On an unsubscribe ack there is a reason code for each topic that was sent in the unsubscribe packet. Each tells the result of unsubscribing to the corresponding topic.

Returns
  A collection of return codes corresponding to unsubscribing each topic.

## Friends And Related Symbol Documentation

## token

friend class token

friend

The documentation for this class was generated from the following file:

- server_response.h